Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515145 - Google Spreadsheet translator incorrect results DELETE with boolean in criteria
Summary: Google Spreadsheet translator incorrect results DELETE with boolean in criteria
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: CR2
: 6.4.0
Assignee: Van Halbert
QA Contact: Jan Stastny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 09:09 UTC by Jan Stastny
Modified: 2018-02-13 17:42 UTC (History)
8 users (show)

Doc Type: If docs needed, set a value
Doc Text:
There is incorrect evaluation of the Boolean column when you run a delete query against the Google Spreadsheet translator. You will see an erroneous result because eveything is incorrectly evaluated to false.
Clone Of:
Environment:
Last Closed: 2018-02-13 17:42:03 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-4845 Critical Resolved Google translator comparison with boolean value matches all rows 2018-02-01 00:29:44 UTC
JBoss Issue Tracker TEIID-5163 Critical Closed Google Spreadsheet translator incorrect results DELETE with boolean in criteria 2018-02-01 00:29:43 UTC

Description Jan Stastny 2017-11-20 09:09:18 UTC
Description of problem:
There is incorrect evaluation of Boolean column when using in DELETE query. Ends up in incorrect data. See the JIRA issue.


Note You need to log in before you can comment on or make changes to this bug.